<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- include-probe.qdoc -->
  <title>IncludeProbe QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">IncludeProbe QML Type</h1>
<span class="subtitle"></span>
<!-- $$$IncludeProbe-brief -->
<p>Locates header files outside the project. <a href="#details">More...</a></p>
<!-- @@@IncludeProbe -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import  </td></tr><tr><td class="memItemLeft rightAlign topAlign"> Inherits:</td><td class="memItemRight bottomAlign"> <p><a href="qml-pathprobe.html">PathProbe</a></p>
</td></tr></table></div><ul>
<li><a href="qml-includeprobe-members.html">List of all members, including inherited members</a></li>
</ul>
<!-- $$$IncludeProbe-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>This is the convenience item that searches for files in &quot;include&quot; directories.</p>
<p>For example, IncludeProbe can be used to search for a zlib header as follows:</p>
<pre class="cpp">

  import qbs
  import qbs<span class="operator">.</span>Probes

  CppApplication {
      Probes<span class="operator">.</span>IncludeProbe {
          id: zlibProbe
          names: <span class="string">&quot;zlib.h&quot;</span>
      }
      cpp<span class="operator">.</span>includePaths: zlibProbe<span class="operator">.</span>found <span class="operator">?</span> <span class="operator">[</span>zlibProbe<span class="operator">.</span>path<span class="operator">]</span> : <span class="operator">[</span><span class="operator">]</span>
      files: <span class="char">'main.cpp'</span>
  }

</pre>
<!-- @@@IncludeProbe -->
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
